package com.sifang.modules.customer.form;

import com.sifang.modules.customer.entity.ComposePlan;

import javax.persistence.OneToMany;
import java.util.List;

public class DesignEntryReq {

    private String id;

    private String type;//0:暂存 1:提交

    /**
     * 方案类型id
     */
    private String schemeTypeId;

    /**
     * 方案类型名称
     */
    private String schemeTypeName;

    /**
     * 方案id
     */
    private String schemeId;

    /**
     * 方案名称
     */
    private String schemeName;

    /**
     * 设计图纸
     */
    private String designDrawings;

    /**
     * 设计图纸名称
     */
    private String designDrawingsName;

    /**
     * 组件规格
     */
    private String componentSpec;

    /**
     * 设计容量
     */
    private Integer designCapacity;

    private String zjpbImg;//组件排布图
    private String zjzxImg;//组件接线图
    private String zjcsImg;//组件支架图
    private String zjhsImg;//一次接线图/电气图

    /**
     * 方案备注
     */
    private String schemeRemarks;

    private String provinceCode;

    private String regionId;

    @OneToMany(targetEntity = ComposePlan.class)
    private List<ComposePlan> composePlanLists;

    /**
     * 电器组件
     */
    private List<CustomerEntryComponentVo> itemList;
    private List<AddEntryReqDesignDetail> addEntryReqDesignDetails;
    private List<ProjectInfoVo> projectList;

    public List<ProjectInfoVo> getProjectList() {
        return projectList;
    }

    public void setProjectList(List<ProjectInfoVo> projectList) {
        this.projectList = projectList;
    }

    public List<AddEntryReqDesignDetail> getAddEntryReqDesignDetails() {
        return addEntryReqDesignDetails;
    }

    public void setAddEntryReqDesignDetails(List<AddEntryReqDesignDetail> addEntryReqDesignDetails) {
        this.addEntryReqDesignDetails = addEntryReqDesignDetails;
    }

    //状态 1.待审核 2.审核不通过 3.待下单 4.待收货 5.待安装 6.待并网 7.待验收 8.待支付 9.待归档 a.已完成
    public DesignEntryReq() {
        super();
		this.designCapacity=0;
    }

    public String getZjpbImg() {
        return zjpbImg;
    }

    public void setZjpbImg(String zjpbImg) {
        this.zjpbImg = zjpbImg;
    }

    public String getZjzxImg() {
        return zjzxImg;
    }

    public void setZjzxImg(String zjzxImg) {
        this.zjzxImg = zjzxImg;
    }

    public String getZjcsImg() {
        return zjcsImg;
    }

    public void setZjcsImg(String zjcsImg) {
        this.zjcsImg = zjcsImg;
    }

    public String getZjhsImg() {
        return zjhsImg;
    }

    public void setZjhsImg(String zjhsImg) {
        this.zjhsImg = zjhsImg;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchemeTypeId() {
        return schemeTypeId;
    }

    public void setSchemeTypeId(String schemeTypeId) {
        this.schemeTypeId = schemeTypeId;
    }

    public String getSchemeTypeName() {
        return schemeTypeName;
    }

    public void setSchemeTypeName(String schemeTypeName) {
        this.schemeTypeName = schemeTypeName;
    }

    public String getSchemeId() {
        return schemeId;
    }

    public void setSchemeId(String schemeId) {
        this.schemeId = schemeId;
    }

    public String getSchemeName() {
        return schemeName;
    }

    public void setSchemeName(String schemeName) {
        this.schemeName = schemeName;
    }

    public String getDesignDrawings() {
        return designDrawings;
    }

    public void setDesignDrawings(String designDrawings) {
        this.designDrawings = designDrawings;
    }

    public String getDesignDrawingsName() {
        return designDrawingsName;
    }

    public void setDesignDrawingsName(String designDrawingsName) {
        this.designDrawingsName = designDrawingsName;
    }

    public String getComponentSpec() {
        return componentSpec;
    }

    public void setComponentSpec(String componentSpec) {
        this.componentSpec = componentSpec;
    }

    public Integer getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(Integer designCapacity) {
        this.designCapacity = designCapacity;
    }

    public String getSchemeRemarks() {
        return schemeRemarks;
    }

    public void setSchemeRemarks(String schemeRemarks) {
        this.schemeRemarks = schemeRemarks;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public List<ComposePlan> getComposePlanLists() {
        return composePlanLists;
    }

    public void setComposePlanLists(List<ComposePlan> composePlanLists) {
        this.composePlanLists = composePlanLists;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<CustomerEntryComponentVo> getItemList() {
        return itemList;
    }

    public void setItemList(List<CustomerEntryComponentVo> itemList) {
        this.itemList = itemList;
    }

    @Override
    public String toString() {
        return "DesignEntryReq{" +
                "id='" + id + '\'' +
                ", schemeTypeId='" + schemeTypeId + '\'' +
                ", schemeTypeName='" + schemeTypeName + '\'' +
                ", schemeId='" + schemeId + '\'' +
                ", schemeName='" + schemeName + '\'' +
                ", designDrawings='" + designDrawings + '\'' +
                ", zjpbImg='" + zjpbImg + '\'' +
                ", zjzxImg='" + zjzxImg + '\'' +
                ", zjcsImg='" + zjcsImg + '\'' +
                ", zjhsImg='" + zjhsImg + '\'' +
                ", designDrawingsName='" + designDrawingsName + '\'' +
                ", componentSpec='" + componentSpec + '\'' +
                ", designCapacity=" + designCapacity +
                ", schemeRemarks='" + schemeRemarks + '\'' +
                ", provinceCode='" + provinceCode + '\'' +
                ", regionId='" + regionId + '\'' +
                ", composePlanLists=" + composePlanLists +
                ", type='" + type + '\'' +
                ", itemList=" + itemList +
                '}';
    }
}
